@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

* {
    box-sizing: border-box
}

html, body {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

html, body, #app {
    height: 100%;
}

h1:focus {
    outline: none;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

.loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 0.6rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
}

.loading-progress circle:last-child {
    stroke: #1b6ec2;
    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
    transition: stroke-dasharray 0.05s ease-in-out;
}

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

.loading-progress-text:after {
    content: var(--blazor-load-percentage-text, "Loading");
}


.k-form .k-form-buttons {
    justify-content: flex-end;
}

.k-toolbar > * {
    align-items: center;
}

.k-toolbar.telerik-blazor.k-grid-toolbar {
    justify-content: flex-end;
}

.k-pager-md .k-pager-sizes .k-dropdownlist {
    width: 6em !important;
}

.k-column-title {
    white-space: normal !important;
    white-space-collapse: collapse !important;
    text-wrap: wrap !important;
}

@keyframes backInLeft {
    0% {
        transform: translateX(-2000px) scale(0.7);
        opacity: 0.7;
    }

    80% {
        transform: translateX(0px) scale(0.7);
        opacity: 0.7;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.backInLeft {
    animation-name: backInLeft;
}
@keyframes navFadeIn {
    from {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

.navFadeIn {
    animation-name: navFadeIn;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;    
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@keyframes navFadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
}

.navFadeOut {
    animation-name: navFadeOut;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.fullScreenGrid {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    overflow-y: auto;
}

.k-grid-pager {
    flex-direction: row-reverse;
}


.k-pager-info {
    justify-content: flex-start;
}

.k-card-title {
    margin-bottom: 0px;
}

.lowerZIndex {
    z-index: 1;
}

.higherZIndex {
    z-index: 1020;
}

.no-padding {
    padding: 0px;
}

.no-padding {
    margin: 0px;
}

.resizable-attachments {
    display: inline-block;
    resize: both;
    overflow: auto;
    border: 1px solid #ccc;
    width: 99%;
    height: 99%;
    max-height: 99%;
    max-width: 99%;
}

/* Menu SideBar, Upper Nav Bar */
.sidebar, .navbar {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

/* TelerikPanelBar root items */
.k-panelbar > .k-panelbar-header > .k-link {
    color: #0d6efd;
    background-color: white;
    line-height: 1.5;
    padding-block: 1rem;
    padding-inline: 1.5rem;
}

.k-panelbar > .k-panelbar-header > .k-link:hover {
    color: #0d6efd;
    background-color: whitesmoke;
}
    /* TelerikPanelBar root selected items */
    .k-panelbar > .k-panelbar-header > .k-link.k-selected {
        color: white;
        background-color: #0d6efd;
    }

    .k-panelbar > .k-panelbar-header > .k-link.k-selected:hover {
        color: white;
        background-color: #0d6efd;
    }

/* TelerikPanelBar child items */
.k-panelbar .k-group > .k-panelbar-header > .k-link {
    color: #0d6efd;
    background-color: white;
}
    /* TelerikPanelBar child selected items */
    .k-panelbar .k-group > .k-panelbar-header > .k-link.k-selected {
        color: white;
        background-color: #0d6efd;
    }

    .k-panelbar .k-group > .k-panelbar-header > .k-link.k-selected:hover {
        color: white;
        background-color: #0d6efd;
    }
/* Form/Legends */
.k-form .k-form-legend {
    margin: 0px 0px 10px 0px;
    padding: 0px;
    text-transform: uppercase;
}

/* Form Fields/Buttons */
.k-form .k-form-field {
    margin: 0px !important;
}

.k-form .k-form-label {
    margin: 0px;
    padding: 0px 0px 0px 0px;
}

.k-form .k-input {
    font-family: "Segoe UI", Arial, sans-serif;
    font-size: 16px;
    margin-bottom: 5px;
}

/* Grid buttons */
.k-grid .k-button {
    padding: 1px 6px 1px 6px;
    margin-left: 2px;
}

.k-grid .telerik-blazor .k-button {
    padding: 6px 5px 6px 8px;
}
    .k-grid .k-button:has(> .k-i-file-excel) {
        padding: 5px 10px 5px 10px;
        border: 1px solid silver;
    }

/* Grid Icons */
.k-grid .k-svg-i-plus, .k-grid .k-svg-i-minus {
    width: 32px;
    height: 32px;
}

/* Grid links */
.k-grid a {
    text-decoration: underline;
    color: -webkit-link;
}

/* Switch */
.k-switch {
    width: 65px;
    height: 30px;
}

.k-switch .k-switch-track, .k-switch.k-switch-md .k-switch-track {
    width: 65px;
    height: 30px;
}

.k-switch-on .k-switch-thumb, .k-switch .k-switch-md .k-switch-thumb {
    width: 24px;
    height: 24px;
    margin-left: 7px;
    left: -12px;
}

.k-switch-off .k-switch-thumb, .k-switch .k-switch-md .k-switch-thumb {
    width: 24px;
    height: 24px;
    margin-left: 7px;
}

.k-switch-on .k-switch-track, .k-switch-on:hover .k-switch-track {
    border: 1px solid green;
}

.k-switch-off .k-switch-track, .k-switch-off:hover .k-switch-track {
    border: 1px solid silver;
}

/* Bread Crumbs */
.k-breadcrumb-link .k-breadcrumb-item-text, .k-breadcrumb-root-link .k-breadcrumb-item-text {
    padding: 0px 14px 0px 2px;
}

/* Tab Strips */
.k-tabstrip-items .k-link {
    font-weight: normal;
}

.k-tabstrip-content:focus, .k-tabstrip-content.k-focus, 
    .k-tabstrip > .k-tabstrip-content.k-focus, 
    .k-tabstrip > .k-content.k-focus 
{
    outline-color: #212529;
    outline-width: 1px;
    outline-style: dotted;
}